package ch.phoenix.oss.quarkus.commons.tracing.resource;

import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;

@Path("/")
@Produces(MediaType.TEXT_PLAIN)
public class SlashResource {

    @GET
    @Path("/leading/{id}/{anotherId}")
    public String doubleLeading(int id, int anotherId) {
        return "leading/" + id + "/" + anotherId;
    }

    @GET
    @Path("{id}/{anotherId}/trailing/")
    public String doubleTrailing(int id, int anotherId) {
        return id + "/" + anotherId + "/trailing";
    }
}
